Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class RendererUpdateFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RendererUpdateFactory

    class RendererUpdateFactory
    extends AbstractFactory

Method Summary
`boolean` | `isHandlesNodeChildren()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### isHandlesNodeChildren

    boolean isHandlesNodeChildren()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeChildren

    boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

Copyright © 2003-2010 The Codehaus. All rights reserved.